.booking-page {
    max-width: 1260px;
    margin: 40px auto;
}

.booking-page .trip-booking-row {
    display: flex;
    gap: 40px;
}

.booking-page .trip-booking-container {
    margin-top: 20px;
}

.booking-page .trip-booking-container .col-left {
    max-width: 815px;
    flex-grow: 1;
}

.booking-page .trip-booking-container .col-right {
    flex-basis: 406px;
    max-width: min(406px, 100%);
    flex-shrink: 0;
}

.booking-page .booking-container-heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.booking-page .booking-container {
    padding: 20px 40px;
    border: 1px solid #D2D2D2;
    border-radius: 12px;
    background: #FFFFFF;
    box-shadow: 0px 0px 10px 0px #00000014;
}

.booking-page .booking-container .booking-step,
.booking-page .booking-container .payment-step,
.booking-page .booking-container .ticket-step {
    display: none !important;
}

.booking-page .trip-booking-container .booking-confirm-btn,
.booking-page .trip-booking-container .booking-payer-btn,
.booking-page .trip-booking-container .booking-chat-btn {
    display: none;
}

.booking-page .booking-container.is-booking-step .booking-step {
    display: block !important;
}

.booking-page .booking-container.is-payment-step .payment-step {
    display: block !important;
}

.booking-page .booking-container.is-ticket-step .ticket-step {
    display: block !important;
}

.booking-page .booking-container.is-booking-step .booking-title {
    display: block !important;
}

.booking-page .booking-container.is-payment-step .payment-title {
    display: block !important;
}

.booking-page .booking-container.is-ticket-step .ticket-title {
    display: block !important;
    margin-top: 30px;
}

.booking-page .trip-booking-container.is-booking-step .booking-confirm-btn {
    display: block;
}

.booking-page .trip-booking-container.is-payment-step .booking-payer-btn {
    display: block;
}

.booking-page .trip-booking-container.is-ticket-step .booking-chat-btn {
    display: block;
}

.booking-page .trip-booking-container.is-ticket-step .trip-price-box {
    display: none !important;
}

.booking-page .booking-container-heading .login-link {
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.02;
    text-align: right;
    text-decoration: underline;
    text-decoration-style: solid;
    text-decoration-offset: 0%;
    text-decoration-thickness: 0%;
    text-decoration-skip-ink: auto;
    color: #FF3131;
}

.booking-page .booking-container:not(.is-booking-step) .login-link {
    display: none;
}

.booking-page .payment-term {
    margin-top: 20px;
    display: none;
}

.booking-page .trip-booking-container.is-payment-step .payment-term {
    display: block;
}

.booking-page .payment-term .term-input-wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
}

.booking-page .payment-term label {
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.02;
    color: #102036;
}

.booking-page .payment-term p {
    margin: 0;
    margin-top: 8px;
    font-family: Outfit;
    font-weight: 200;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0.02;
    color: #102036;
}

.booking-page .tf-check {
    border-radius: 5px;
    position: relative;
    background: transparent;
    cursor: pointer;
    outline: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    min-width: 20px;
    border: 1px solid #0B3368;
    padding: 0;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white, #FFFFFF);
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.booking-page .tf-check:before {
    font-weight: 500;
    font-family: 'navette' !important;
    content: "\e990";
    position: absolute;
    color: #F5F5F5;
    opacity: 0;
    font-size: 9px;
    transform: scale(0);
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.booking-page .tf-check:checked {
    background-color: #0B3368;
}

.booking-page .tf-check:checked:before {
    opacity: 1;
    transform: scale(1);
}

.booking-container .booking-form,
.booking-container .payment-form,
.booking-container .ticket-detail-container {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-top: 30px;
}

.booking-page .booking-title,
.booking-page .payment-title,
.booking-page .ticket-title {
    font-family: Outfit;
    font-weight: 600;
    font-size: 40px;
    line-height: 50px;
    letter-spacing: 2%;
    color: #0B3368;
    margin-bottom: 0;
    display: none;
}

.booking-page .section-title {
    font-family: Outfit;
    font-weight: 600;
    font-size: 24px;
    line-height: 30px;
    letter-spacing: 2%;
    color: #0B3368;
    margin-bottom: 20px;
}

.booking-page .extra-text {
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 2%;
    color: #2474E5;
}

.booking-page .extra-desc {
    font-family: Outfit;
    font-weight: 200;
    font-size: 14px;
    line-height: 17px;
    letter-spacing: 0%;
    color: #666666;
}

.booking-page .booking-steps {
    display: flex;
    justify-content: center;
    align-items: stretch;
    position: relative;
    gap: 60px;
    width: max-content;
    margin: 0 auto;
}

.booking-page .booking-steps::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 0px;
    border: 2px dashed #D2D2D2;
    left: 50%;
    top: 20px;
    transform: translate(-50%, -50%);
    max-width: 346px;
    z-index: 1;
}

.booking-page .booking-steps .step-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    cursor: pointer;
    flex: 1;
    max-width: 135px;
    z-index: 10;
}

.booking-page .booking-steps .step-item.step-active {
    cursor: none;
    pointer-events: none;
}

.booking-page .booking-steps .step-number {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #D2D2D2;
    margin-bottom: auto;

    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 25px;
    letter-spacing: 2%;
    color: #FFFFFF;
}

.booking-page .booking-steps .step-text {
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0;
    color: #666666;
    text-align: center;
}

.booking-page .booking-steps .step-item.step-active .step-number {
    background-color: #2474E5;
    color: #FFFFFF;
}

.booking-page .booking-steps .step-item.step-active .step-text {
    font-weight: 700;
    color: #2474E5;
}

.booking-page .form-fields-group {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: 20px;
}

.booking-page .form-fields-group .booking-field-wrapper {
    display: flex;
    flex-direction: column;
    gap: 8px;
    flex: 50%;
    max-width: 355px;
}

.booking-page .form-fields-group .booking-field-wrapper .is-error {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 15px;
    letter-spacing: 0;
    color: #FF3131;
}

.booking-page .stripe-error-message {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 15px;
    letter-spacing: 0;
    color: #FF3131;
    display: none;
}

.booking-page #__place_check-error {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 15px;
    letter-spacing: 0;
    color: #FF3131;
}

.booking-page .form-fields-group input[type="text"],
.booking-page .form-fields-group input[type="date"],
.booking-page .form-fields-group select {
    width: 100%;
    border: 1px solid #D2D2D2;
    border-radius: 8px;
    padding: 10px 15px;
}

.booking-page .form-fields-group input[type="text"]:hover,
.booking-page .form-fields-group input[type="text"]:focus,
.booking-page .form-fields-group input[type="text"].active,
.booking-page .form-fields-group input[type="date"]:hover,
.booking-page .form-fields-group input[type="date"]:focus,
.booking-page .form-fields-group input[type="date"].active,
.booking-page .form-fields-group select:hover,
.booking-page .form-fields-group select:focus,
.booking-page .form-fields-group select.active {
    border-color: #102036;
}

.booking-page .form-fields-group .input-check-wrapper {
    display: flex;
    width: 100%;
    align-items: center;
    gap: 5px;
    padding: 15px;
    border-radius: 8px;
    border: 1px solid #D2D2D2;
}

.booking-page .form-fields-group .input-check-wrapper label {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0%;
    color: #666666;
}

.booking-page .form-fields-group .input-check-wrapper input {
    width: 16px;
    height: 16px;
}

.booking-page .form-fields-group .na-fullwidth {
    flex-basis: 100% !important;
    width: 100% !important;
    max-width: unset !important;
}

.booking-page .section-passager .section-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.booking-page .section-passager .remove-passager-btn {
    width: 30px;
    height: 30px;
    background: #FF8282;
    color: #FFF;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    cursor: pointer;
}

.booking-page .section-passager .remove-passager-btn .icon {
    color: #FFF;
}

.booking-page .passager-item {
    margin-bottom: 30px;
}

.booking-page .add-passager-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: max-content;
    gap: 8px;
    padding: 8px 15px;
    /* margin-top: 30px; */
    border-radius: 100px;
    background: #2474E5;
    color: #FFFFFF;
    cursor: pointer;

    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    letter-spacing: 0%;
}

.booking-page .add-passager-btn {
    font-size: 14px;
}

.booking-page .add-passager-btn.btn-disabled {
    opacity: 0.6;
    pointer-events: none;
}

.choice-place-wrapper {
    padding: 15px;
    border: 1px solid #D2D2D2;
    border-radius: 8px;
}

.choice-place-top {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.choice-place-top .choice-place-heading {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.choice-place-top .choice-place-heading .place-title {
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    letter-spacing: 0%;
    color: #102036;
}

.choice-place-top .choice-place-heading .place-desc {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 15px;
    letter-spacing: 0%;
    color: #666666;
}

.choice-place-top .choice-place-heading .place-desc-valid {
    visibility: hidden;
    opacity: 0;
    width: 0;
    height: 0;
}

.choice-place-top .choice-place-remain {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0%;
    color: #102036;
}

.choice-place-top .choice-place-remain .place-remain-count {
    color: #FF3131;
}

.choice-place-body {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    max-width: 550px;
    margin: 15px auto;
}

.choice-place-body .choice-place-instr {
    max-width: 150px;
    display: flex;
    align-items: center;
}

.seat-instr-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.seat-instr-list .seat-instr-item {
    display: flex;
    gap: 10px;
}

.choice-place-body .choice-place-seats {
    max-width: 100%;
    width: max-content;
    min-height: 370px;
    position: relative;
}

.choice-place-body .background-seats {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.choice-place-body .background-seats img {
    height: 100%;
    width: 100%;
}

.choice-place-body .background-seats,
.choice-place-body .background-seats * {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    -webkit-user-drag: none;
    user-drag: none;

    -webkit-touch-callout: none;

    pointer-events: none;
    cursor: none;
}

.choice-place-body .seat-lists {
    /* position: relative;
    z-index: 10; */
}

.choice-place-seats .seat-map {
    display: flex;
    flex-direction: column;
    gap: 40px;
    position: relative;
    padding: 120px 30px 40px;
}

.choice-place-seats .seat-row {
    display: flex;
    gap: 8px;
    justify-content: center;
}

.choice-place-body .seat {
    width: 42px;
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    cursor: pointer;
}

.choice-place-body .choice-place-instr .seat {
    width: 35px;
    height: 35px;
}

.choice-place-body .seat-driver {
    pointer-events: none;
    cursor: not-allowed;
    background-image: url(../../images/seats/seat-driver.svg);
}

.choice-place-body .seat.seat-selected {
    background-image: url(../../images/seats/seat-selected.svg);
}

.choice-place-body .seat.seat-un,
.choice-place-body .seat.seat-unavailable {
    pointer-events: none;
    cursor: not-allowed;
    background-image: url(../../images/seats/seat-un.svg);
}

.choice-place-body .seat.seat-locked {
    /* pointer-events: none; */
    cursor: not-allowed;
    background-image: url(../../images/seats/seat-empty.svg);
    position: relative;
}

.choice-place-body .seat.seat-empty {
    background-image: url(../../images/seats/seat-empty.svg);
}

.seat-locked::after {
    content: attr(data-tooltip);
    position: absolute;
    bottom: calc(100% + 4px);
    left: 50%;
    transform: translateX(-50%);
    margin-bottom: 6px;

    background: rgba(0, 0, 0, 0.85);
    color: #fff;
    padding: 6px 10px;
    border-radius: 4px;
    font-size: 12px;
    white-space: nowrap;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease;
    z-index: 10;
}

.seat-locked-rule::after {
    content: attr(data-tooltip-rule);
}

.seat-locked::before {
    content: '';
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    margin-bottom: 2px;

    border-width: 5px;
    border-style: solid;
    border-color: rgba(0, 0, 0, 0.85) transparent transparent transparent;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease;
    z-index: 9;
}

.seat-locked:hover::after,
.seat-locked:hover::before {
    opacity: 1;
}

.trip-info-box {
    display: flex;
    flex-direction: column;
    padding: 24px;
    gap: 16px;
    background: var(--primary, #0B3368);
    border: 1px solid #D2D2D2;
    box-shadow: 0px 0px 10px 0px #00000014;
    border-radius: 12px;
}

.trip-info-box .route-info-top {
    display: flex;
    gap: 8px;
    justify-content: space-between;
}

.trip-info-box .route-info {
    padding: 6px 32px 6px 18px;
    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    color: #FFFFFF;
    border-radius: 10px;
    background-image: url(../../images/route-badge-bg.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: max-content;
    min-width: 180px;
    display: inline-flex;
    align-items: center;
}

.trip-info-box .route-info-top img {
    max-width: 95px;
}

.schedule-info-booking .location-list {
    position: relative;
}

.schedule-info-booking .location-list:before {
    content: "";
    height: 38px;
    display: block;
    position: absolute;
    width: 0px;
    border: 1px dashed #D2D2D2;
    left: 6px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.schedule-info-booking .location-item {
    position: relative;
    z-index: 2;
}

.schedule-info-booking .icon {
    color: #FFFFFF;
    font-size: 14px;
}

.schedule-info-booking .path2:before {
    color: #0B3368;
}

.schedule-info-booking .time-wrap {
    display: flex;
    gap: 0;
    align-items: center;
}

.schedule-info-booking .time-start,
.schedule-info-booking .time-end {
    font-family: Outfit;
    font-weight: 700;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    margin-left: 10px;
}

.schedule-info-booking .point-start,
.schedule-info-booking .point-end {
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    max-width: 150px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.schedule-info-booking .date-start,
.schedule-info-booking .date-end {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    margin-left: auto;
}

.schedule-info-booking .duration-text {

    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    margin: 10px 24px;

}

.schedule-info-booking .date-wrap {
    font-family: Outfit;
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0;
    margin-left: 24px;
}

.trip-price-box {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 24px;
    color: #FFFFFF;
    border-radius: 12px;
    border: 1px solid #D2D2D2;
    box-shadow: 0px 0px 10px 0px #00000014;
    margin-top: 20px;
}

.trip-price-box .trip-price-item {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #D2D2D2;
    padding-top: 10px;
}

.trip-price-box .trip-price-item.price-total {
    border-top: none;
}

.trip-price-box .trip-price-item .price-label {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0;
    color: #0B3368;
}

.trip-price-box .trip-price-item .price-value {
    font-family: Outfit;
    font-weight: 700;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0;
    color: #0B3368;
}

.trip-price-box .trip-price-item.price-total .price-label {
    font-family: Outfit;
    font-weight: 700;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0;
    color: #0B3368;
}

.trip-price-box .trip-price-item.price-total .price-value {
    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FF3131;
}

.booking-page .booking-confirm-btn,
.booking-page .booking-payer-btn,
.booking-page .booking-chat-btn {
    display: flex;
    width: max-content;
    margin: 20px auto 0;
    padding: 15px 85px;
    clip-path: polygon(25% 0%, 100% 0%, 75% 100%, 0% 100%);

    font-family: Outfit;
    font-weight: 700;
    font-size: 24px;
    line-height: 30px;
    letter-spacing: 0%;
    background: #FF3131;
    color: #FFFFFF !important;
    cursor: pointer;
}

.ajax-loading-container {
    position: relative;
}

.ajax-loading-container .loading-overlay {
    display: none;
    content: "";
    background: #ffffff70;
    position: absolute;
    inset: 0;
    z-index: 99;
}

.ajax-loading-container.ajax-loading .loading-overlay {
    display: block;
}

.ajax-loading-container .spinner {
    width: 30px;
    height: 30px;
    border: 3px solid transparent;
    border-top: 3px solid #0B3368;
    border-radius: 100%;
    position: absolute;
    top: 50%;
    /* bottom: 0; */
    left: 0;
    right: 0;
    margin: auto;
    animation: navette_loading 1s infinite linear;
}

.booking-page .services-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.booking-page .services-list .service-included {
    padding: 15px;
    display: flex;
    gap: 8px;
    align-items: center;
    background: #2474E5;
    color: #FFFFFF;
    border-radius: 8px;
    border: none;
}

.booking-page .services-list .service-included .service-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0;
}

.booking-page .services-list .service-included .icon {
    font-size: 36px;
}

.booking-page .services-list .service-included .service-title {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0;
    text-align: center;
}

.booking-page .services-list .service-included .service-desc {
    font-family: Outfit;
    font-weight: 700;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0;
    text-align: center;
}

.booking-page .services-list .service-item {
    padding: 15px;
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: space-between;
    background: #FFFFFF;
    border-radius: 8px;
    border: 1px solid #D2D2D2;
}

.booking-page .services-list .service-item .service-content {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.booking-page .services-list .service-item .service-title {
    font-family: Outfit;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    letter-spacing: 0;
    color: #102036;
}

.booking-page .services-list .service-item .service-desc {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0;
    color: #666666;
}

.booking-page .services-list .service-item:hover {
    background-color: #FFF4F4;
    border-color: #FF3131;
}

.booking-page .services-list .service-item:hover .service-title {
    color: #FF3131;
}

.booking-page .services-list .service-item .service-number {
    display: flex;
    gap: 10px;
}

.booking-page .services-list .service-item .service-number>* {
    width: max-content;
}

.booking-page .services-list .service-item .service-number .service-price {
    display: flex;
    align-items: center;
    font-family: Outfit;
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0;

    color: #0B3368;
}

.booking-page .services-list .service-item .service-number .input-wrapper {
    display: flex;
    gap: 10px;
    align-items: center;
}

.booking-page .services-list .service-item .service-number .minus-btn {
    width: 20px;
    height: 20px;
    border: 1px solid #9C9C9C;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    color: #9C9C9C;

    cursor: pointer;
    user-select: none;
}

.booking-page .services-list .service-item .service-number .plus-btn {
    width: 20px;
    height: 20px;
    border: 1px solid #9C9C9C;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    color: #9C9C9C;
    cursor: pointer;
    user-select: none;
}

.booking-page .services-list .service-item .service-number .minus-btn.btn-disabled,
.booking-page .services-list .service-item .service-number .plus-btn.btn-disabled {
    opacity: 0.7;
    cursor: none;
    pointer-events: none;
}

.booking-page .services-list .service-item .service-number input {
    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 90%;
    letter-spacing: 0;
    color: #0B3368;
    pointer-events: none;
    cursor: pointer;
    border: none !important;
    box-shadow: none !important;
    background: transparent !important;
    width: 25px;
    text-align: center;

}

.booking-page .contact-title {
    font-family: Outfit;
    font-weight: 700;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 2%;
    color: #666666;
    margin-bottom: 8px;
}

.booking-page .contact-list {
    display: flex;
    gap: 8px;
}

.booking-page .contact-item {
    font-family: Outfit;
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    text-decoration: underline;
    text-decoration-style: solid;
    text-decoration-offset: 0%;
    text-decoration-thickness: 0%;
    text-decoration-skip-ink: auto;

    color: #2474E5;
}

.booking-page .payment-form .payment-methods {
    display: flex;
    flex-direction: column;

}

.booking-page .payment-form .payment-method {
    border: 1px solid #e5e7eb;
    border-radius: 6px;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    transition: border-color 0.2s ease, box-shadow 0.2s ease;
}

.booking-page .payment-form .payment-method:hover {
    border-color: #2563eb;
}

.booking-page .payment-form .payment-input-wraper {
    display: flex;
    align-items: center;
}

.booking-page .payment-form .payment-option {
    display: flex;
    align-items: center;
    cursor: pointer;
    gap: 8px;
}

.booking-page .payment-form .payment-option input[type="radio"] {
    display: none;
}

.booking-page .payment-form .radio-ui {
    width: 30px;
    height: 30px;
    border: 2px solid #9ca3af;
    border-radius: 50%;
    position: relative;
}

.booking-page .payment-form .payment-option input[type="radio"]:checked+.radio-ui {
    border-color: #2563eb;
}

.booking-page .payment-form .payment-option input[type="radio"]:checked+.radio-ui::after {
    content: "";
    width: 18px;
    height: 18px;
    background: #2563eb;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.booking-page .payment-form .payment-label {
    font-size: 16px;
    color: #111827;
    font-weight: 500;
}

.booking-page .payment-form .payment-logo {
    width: 60px;
    height: 24px;
    background: url("https://stripe.com/img/v3/home/twitter.png") no-repeat center;
    background-size: contain;
}

.booking-page .ticket-qr-code {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.booking-page .ticket-qr-code .ticket-image-wrapper {
    padding: 20px;
}

.booking-page .ticket-qr-code .token-text {
    display: flex;
    gap: 0;
}

.booking-page .ticket-qr-code .qr-code-image {
    width: 180px;
    height: 180px;
    margin: 0 auto;
}

.booking-page .payment-sucssess-title {
    display: none;
}

.booking-page .is-ticket-step .payment-sucssess-title {
    font-family: Outfit;
    font-weight: 700;
    font-size: 32px;
    line-height: 40px;
    letter-spacing: 2%;
    color: #00BA00;
    margin: 0 auto 40px;
    display: flex;
    gap: 12px;
    align-items: center;
    justify-content: center;
}

.booking-page .is-ticket-step .copy-token-btn {
    color: #2474E5;
    margin-left: 12px;
    cursor: pointer;
}

.booking-page .ticket-trip-info-item {
    display: flex;
    justify-content: space-between;
    gap: 0;
    padding: 15px;
    border: 1px solid #D2D2D2;
}

.booking-page .ticket-trip-info-item:first-child {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-bottom: 1px solid #D2D2D2;
}

.booking-page .ticket-trip-info-item:not(:first-child) {
    border-top: none;
}

.booking-page .ticket-trip-info-item:last-child {
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

.booking-page .ticket-trip-info-item.vh-gallery {
    justify-content: center;
    gap: 20px;
}

.booking-page .ticket-trip-info-item.vh-gallery>* {
    max-width: 30%;
    flex: 1;
    /* aspect-ratio: 212 / 160 !important; */
    height: auto;
    object-fit: cover;
}

.booking-page .ticket-trip-info-label {
    font-family: Outfit;
    font-weight: 400;
    font-size: 20px;
    line-height: 25px;
    letter-spacing: 2%;
    color: #102036;
}

.booking-page .ticket-trip-info-value {
    font-family: Outfit;
    font-weight: 700;
    font-size: 20px;
    line-height: 25px;
    letter-spacing: 2%;
    color: #102036;
}

.booking-page .ticket-ve-info {
    margin-top: 20px;
}

.booking-page .ticket-extra-btn {
    margin-top: 30px;
    display: flex;
    gap: 20px;
    justify-content: center;
}

.booking-page .print-ticket-btn {
    width: max-content;
    padding: 8px 35px;
    cursor: pointer;
    color: #FFFFFF;
    background: #FF3131;
    border-radius: 100px;

    font-family: Outfit;
    font-weight: 700;
    font-size: 24px;
    line-height: 30px;
    letter-spacing: 0%;

}

.booking-page .add-calendar-btn {
    width: max-content;
    padding: 8px 35px;
    cursor: pointer;
    color: #FFFFFF;
    background: #2474E5;
    border-radius: 100px;

    font-family: Outfit;
    font-weight: 700;
    font-size: 24px;
    line-height: 30px;
    letter-spacing: 0%;

}

.booking-page .ticket-trip-info-value {
    max-width: 50%;
}

.booking-page .order-services-list {
    text-align: right;
}

.booking-page .section-contact {
    margin-top: 30px;
}

.ticket-page .trip-booking-row {
    justify-content: center;
}

@media print {

    body.printing-ticket * {
        visibility: hidden !important;
    }

    body.printing-ticket .booking-container.is-ticket-step {
        display: block !important;
        visibility: visible !important;
        position: fixed;
        left: 50%;
        transform: translateX(-50%);
        top: 0;
        /* width: max-content; */
        max-height: 100%;
        min-width: 500px;
        z-index: 100000;
    }

    body.printing-ticket .booking-container.is-ticket-step *:not(.skip-print, .skip-print *) {
        visibility: visible !important;
    }

    body.printing-ticket .booking-page .ticket-trip-info-value {
        font-size: 14px;
    }

}

@keyframes navette_loading {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@media (min-width: 1024px) {

    body .booking-page .sticky-summary {
        position: sticky;
        top: 80px;
    }

    body.admin-bar .booking-page .sticky-summary {
        position: sticky;
        top: calc(80px + 32px);
    }

}